http://trac.xbmc.org/ticket/11775

make mythtv support optional

diff --git a/Makefile.in b/Makefile.in
index 9ffae7e..17cc525 100755
--- a/Makefile.in
+++ b/Makefile.in
@@ -147,7 +147,7 @@ LIB_DIRS=\
 	lib/cpluff \
 	lib/xbmc-dll-symbols
 
-ifeq (@USE_MYSQL@,1)
+ifeq (@USE_MYTHTV@,1)
 LIB_DIRS += lib/cmyth
 CMYTH=cmyth
 endif
diff --git a/configure.in b/configure.in
index d44825f..629d7b4 100755
--- a/configure.in
+++ b/configure.in
@@ -387,6 +387,12 @@ AC_ARG_ENABLE([mysql],
   [use_mysql=$enableval],
   [use_mysql=yes])
 
+AC_ARG_ENABLE([mythtv],
+  [AS_HELP_STRING([--disable-mythtv],
+  [disable mythtv])],
+  [use_mythtv=$enableval],
+  [use_mythtv=yes])
+
 AC_ARG_ENABLE([webserver],
   [AS_HELP_STRING([--disable-webserver],
   [disable webserver])],
@@ -748,6 +754,9 @@ if test "$use_mysql" = "yes"; then
   else
     AC_MSG_ERROR($missing_program)
   fi
+  if test "$use_mythtv" = "yes"; then
+    AC_DEFINE([HAVE_MYTHTV],[1],["Define to 1 if you want mythtv support"])
+  fi
 fi
 AC_CHECK_HEADER([ass/ass.h],, AC_MSG_ERROR($missing_library))
 AC_CHECK_HEADER([mpeg2dec/mpeg2.h],, AC_MSG_ERROR($missing_library))
@@ -1895,6 +1904,15 @@ else
   final_message="$final_message\n  MySQL:\tNo"
   USE_MYSQL=0
 fi
+
+if test "$use_mythtv" = "yes"; then
+  final_message="$final_message\n  MythTV:\tYes"
+  USE_MYTHTV=1
+else
+  final_message="$final_message\n  MythTV:\tNo"
+  USE_MYTHTV=0
+fi
+
 if test "$use_webserver" = "yes"; then
   final_message="$final_message\n  Webserver:\tYes"
   USE_WEB_SERVER=1
@@ -2123,6 +2141,7 @@ AC_SUBST(USE_LIBUDEV)
 AC_SUBST(USE_LIBUSB)
 AC_SUBST(USE_LIBCEC)
 AC_SUBST(USE_MYSQL)
+AC_SUBST(USE_MYTHTV)
 AC_SUBST(USE_WEB_SERVER)
 
 
